Module | RSS::ContentModel
In: | rss/content.rb

### Methods

append_features content_validate

### Constants

ELEMENTS | = | []

### Public Class methods

append_features(klass)

[Source]

    # File rss/content.rb, line 16
        def self.append_features(klass)
          super

          klass.module_eval("%w(encoded).each do |name|\ninstall_text_element(\"\\\#{CONTENT_PREFIX}_\\\#{name}\")\nend\n", *get_file_and_line_from_caller(1))
        end

### Public Instance methods

content_validate(tags)

[Source]

    # File rss/content.rb, line 27
        def content_validate(tags)
          counter = {}
          ELEMENTS.each do |name|
            counter[name] = 0
          end

          tags.each do |tag|
            key = "#{CONTENT_PREFIX}_#{tag}"
            raise UnknownTagError.new(tag, CONTENT_URI) unless counter.has_key?(key)
            counter[key] += 1
            raise TooMuchTagError.new(tag, tag_name) if counter[key] > 1
          end
        end

[Validate]